Debian Bug report logs - #515949
vorbis encoder is broken on armel

version graph

Package: libvorbis; Maintainer for libvorbis is Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>;

Reported by: Martin Guy <martinwguy@yahoo.it>

Date: Wed, 18 Feb 2009 13:06:01 UTC

Severity: serious

Found in version 1.2.0.dfsg

Fixed in version libvorbis/1.2.0.dfsg-5

Done: Peter Samuelson <peter@p12n.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Wed, 18 Feb 2009 13:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Wed, 18 Feb 2009 13:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: vorbis encoder is broken on armel
Date: Wed, 18 Feb 2009 13:03:33 +0000
Package: libvorbis
Version: 1.2.0.dfsg
User: debian-arm@lists.debian.org
Usertags: eabi

oggenc and libvorbis' example_encoder do not seem to work at all on armel.
$ oggenc Happy.wav
works fine on x86 and arm, but on armel creates an output just over
half the length it should be, which is mostly full of garbage.
{Happy is a 30-second stereo 44.1 kHz wave file with a 44-byte header,
nothing special)

An extract from "od -c Happy.ogg" after the initial header:

0007600  \0  \0  \0  \0  \0 002  \0  \0  \0 004 004   O   g   g   S  \0
0007620  \0  \0 177  \0  \0  \0  \0  \0  \0 262 005   U   + 002  \0  \0
0007640  \0   > 353 225 346 377 001 001 001 001 001 001 001 001 001 001
0007660 001 001 001 001 001 001 001 001 001 001 001 001 001 001 001 001
*
0010040 001 001 001 001 001 001 001 001 001 021 021 021 021 021 021 021
0010060 021 021 021 021 021 021 021 021 021 021 021 021 021 021 021 021
*
0010240 021 021 021 021 021  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0
0010260  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0
*
0010440  \0  \0  \0  \0  \0  \0  \0  \0 244   i  \0  \0 322   4  \0  \0
0010460  \0  \0  \0  \0  \0  \0  \0  \0  \0 244   i  \0  \0 322   4  \0
0010500  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0 244   i  \0  \0 322   4
0010520  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0 244   i  \0  \0 322
0010540   4  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0 244   i  \0  \0
0010560 322   4  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0 244   i  \0
0010600  \0 322   4  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0 244   i
0010620  \0  \0 322   4  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0 244
0010640   i  \0  \0 322   4  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0  \0

(this 17-byte pattern of garbage repeats for most of the body of the file)

Decoding such a file produces a WAV of the correct size with nothing
but zero bytes in the audio data section.

Other wav files of various provenance are similarly unsuccessful.

It looks like libvorbis, rather than oggenc, libao or libogg, bcos its
example encoder in the build directory
    obj-arm-linux-gnueabi/examples/example_encoder
uses stdio to read the WAV file and fails similarly
while speexenc, which also uses libogg to write files, works fine.

FWIW this wave file is visible at
http://martinwguy.co.uk/martin/test/Happy.wav but oggenc's giving the
same kind of output from any wav file I supply it with.




Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Thu, 12 Mar 2009 17:30:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Thu, 12 Mar 2009 17:30:28 GMT) Full text and rfc822 format available.

Message #10 received at 515949@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: 515949@bugs.debian.org
Subject: Re: vorbis encoder is broken on armel
Date: Thu, 12 Mar 2009 17:21:36 +0000
This is bizarre. If I run oggenc on an ep9312 (armv4t) chip, I get an
.ogg file that reproduces the sound correctly, but is significantly
different (75% of the size) from the same encoding performed on x86,
while on an Xscale (armv5te) and Cortex-a8 (armv7) I get different
results again, and the ogg files are full of junk and decode to
silence..
  These are all up-to-date debian-armel-lenny installations with the
same versions of
vorbis-tools (1.2.0-5), libogg (1.1.3-4) and
libvorbis0a libvorbisenc2 libvorbisfile3 (1.2.0.dfsg-3.1) installed.

-rw-r--r-- 1 martin martin 346624 Mar 12 13:29 Happy-x86.ogg
-rw-r--r-- 1 martin martin 262144 Mar 12 14:19 Happy-ep9312.ogg
-rw-r--r-- 1 martin martin 186510 Mar 12 14:50 Happy-xscale.ogg
-rw-r--r-- 1 martin martin 186510 Mar 12 14:55 Happy-cortex.ogg

The ep9312, xscale and cortex boards are all using softfloat, which is
100% IEEE compliant,
while the x86 performs intermediate calculations to 80 bits' precision
instead of 64.

Another difference is that the machines are running different versions
of the linux kernel
ep9312: 2.6.25 (custom compilation for TS7250 board)
xscale: 2.6.26-1-iop32x (Michlmayr Debian kernel for n2100)
cortex-a8: 2.6.27.15-omap (custom compilation from mainline + mainline
omap patches)

and "ldd /usr/bin/oggenc" loads the library components to different
virtual addresses, presumably due to the kernel version differences.

Building the original libvorbisenc tarball from xiph.org, the
example_encoder fails similarly on all the ARM boards, producing
different silent ogg files of the same length on the different
systems,
while a build on gentoo-arm-eabi-feroceon produces a shorter file.

Since this is not a Debian-only problem, I am reporting this upstream
at xiph.org, citing this bug report for info.




Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Fri, 13 Mar 2009 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Fri, 13 Mar 2009 10:18:05 GMT) Full text and rfc822 format available.

Message #15 received at 515949@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: 515949@bugs.debian.org
Subject: Re: vorbis encoder is broken on armel
Date: Fri, 13 Mar 2009 10:17:03 +0000
Upstream bug report is https://trac.xiph.org/ticket/1526




Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Wed, 18 Mar 2009 21:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Wed, 18 Mar 2009 21:12:02 GMT) Full text and rfc822 format available.

Message #20 received at 515949@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 515949@bugs.debian.org
Subject: More info
Date: Thu, 19 Mar 2009 08:11:29 +1100
I took the source code from vorbis SVN head and got access to a 
armel machine provided by Martin Guy.

I then added printf statments to the code and compare the output
on the armel machine with that of and amd64 machine which was also
giving the same results as and i386 machine.

After much debugging it turns out that gcc was producing incorrect
code for some usages of the standard max macro:

  #define max(x,y)  ((x) < (y) ? (y) : (x))

This can be verified on any machine as follows:

    bzr branch  http://www.mega-nerd.com/Bzr/vorbis-bugfix
    cd vorbis-bugfix/
    ./autogen.sh
    ./etest.sh

On amd64 and i386 I get:

        vorbis_44100.ogg     :

    _ve_envelope_search      248 : first    0    last  140
    _ve_amp                  188 : postmax       0.0000    premax  -99999.0000
    _ve_amp                  193 : filters[0].ampbuf[15] ->       0.0000
    _ve_amp                  193 : filters[0].ampbuf[14] ->       0.0000
    _ve_amp                  197 : postmax       0.0000    premax       0.0000
    _ve_envelope_search      248 : first  138    last  138
    _ve_envelope_search      248 : first  136    last  136
    _ve_envelope_search      248 : first  127    last  127
    _ve_envelope_search      248 : first  111    last  111
    _ve_envelope_search      248 : first   95    last   95
    ok

and on arm I get:

    _ve_envelope_search      246 : first    0    last  140
    _ve_envelope_search      256 : i  0    j     0    searchstep  64
    _ve_amp                  186 : postmax       0.0000    premax  -99999.0000
    _ve_amp                  191 : filters[0].ampbuf[15] ->       0.0000
    _ve_amp                  191 : filters[0].ampbuf[14] ->       0.0000
    _ve_amp                  195 : postmax       0.0000    premax  -99999.0000
    Ooops, premax should be zero here!!!!!

Erik
-- 
-----------------------------------------------------------------
Erik de Castro Lopo
-----------------------------------------------------------------
"Java is, in many ways, C++--." -- Michael Feldman




Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Thu, 19 Mar 2009 06:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Thu, 19 Mar 2009 06:24:02 GMT) Full text and rfc822 format available.

Message #25 received at 515949@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 515949@bugs.debian.org
Subject: Simple test case for gcc -ffast-math bug
Date: Thu, 19 Mar 2009 17:22:11 +1100
The following test case shows the failure when compiling with -ffast-math
gives a different result than when compiling with out it.

More explanation in the comments at the top of the file.

Cheers,
Erik

/*
**	This file is in the Public Domain.
**
**	This program demonstrates a bug in the -ffast-math option of the gcc
**	armel compiler : gcc version 4.3.2 (Debian 4.3.2-1.1) 
**
**	This works as expected:
**
**	> gcc -Wall -O3 gcc-test.c -o gcc-test && ./gcc-test 
**	min :       0.0000    max :       0.0000
**
**	Compile with -ffast-math and things goes screwy.
**
**	> gcc -Wall -O3 -ffast-math gcc-test.c -o gcc-test && ./gcc-test 
**	min :   99999.0000    max :       0.0000
*/

#include <stdio.h>

#define	COUNT 	10

#define test_max(x,y)   ((x) <  (y) ? (y) : (x))
#define test_min(x,y)   ((x) >  (y) ? (y) : (x))

int
main (void)
{	/* C Standard says static data gets initialized to zero. */
	static float data [COUNT] ;
	float max = -99999.0, min = 99999.0 ;
	int k ;

	for (k = 0 ; k < COUNT ; k++)
	{	max = test_max (max, data [k]) ;
		min = test_min (min, data [k]) ;
		} ;

	printf ("min : %12.4f    max : %12.4f\n", min, max) ;

	return 0 ;
}





Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Thu, 19 Mar 2009 10:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Thu, 19 Mar 2009 10:03:08 GMT) Full text and rfc822 format available.

Message #30 received at 515949@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: 515949@bugs.debian.org
Cc: "debian-arm@lists.debian.org" <debian-arm@lists.debian.org>
Subject: libvorbis patch for armel
Date: Thu, 19 Mar 2009 09:30:46 +0000
[Message part 1 (text/plain, inline)]
Of the flags that -ffast-math sets, turning -ffinite-math-only off
again avoids the erroneous optimization. With the attached patch,
libvorbis's examples/encoder_example produces the same (correct)
output as on arm-oldabi and it makes oggenc work on armel too.

     M
[armel-no-finite-math-only.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Thu, 19 Mar 2009 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Thu, 19 Mar 2009 17:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 515949@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 515949@bugs.debian.org, Martin Guy <martinwguy@yahoo.it>
Subject: Re: Simple test case for gcc -ffast-math bug
Date: Thu, 19 Mar 2009 18:53:45 +0100
On Thu, Mar 19, 2009 at 05:22:11PM +1100, Erik de Castro Lopo wrote:
> 
> The following test case shows the failure when compiling with -ffast-math
> gives a different result than when compiling with out it.
> 
> More explanation in the comments at the top of the file.
> 
> Cheers,
> Erik
> 
> /*
> **	This file is in the Public Domain.
> **
> **	This program demonstrates a bug in the -ffast-math option of the gcc
> **	armel compiler : gcc version 4.3.2 (Debian 4.3.2-1.1) 
> **
> **	This works as expected:
> **
> **	> gcc -Wall -O3 gcc-test.c -o gcc-test && ./gcc-test 
> **	min :       0.0000    max :       0.0000
> **
> **	Compile with -ffast-math and things goes screwy.
> **
> **	> gcc -Wall -O3 -ffast-math gcc-test.c -o gcc-test && ./gcc-test 
> **	min :   99999.0000    max :       0.0000
> */

I get the following results:
(sid)kroeckx@agricola:~$ gcc -O1 -ffinite-math-only tst.c -o tst
(sid)kroeckx@agricola:~$ ./tst
min :   99999.0000    max :  -99999.0000
(sid)kroeckx@agricola:~$ gcc -O3 -ffinite-math-only tst.c -o tst
(sid)kroeckx@agricola:~$ ./tst
min :   99999.0000    max :       0.0000

With gcc version 4.3.3 (Debian 4.3.3-5)

agricola is an armel running on a Thecus N2100:
Processor       : XScale-80219 rev 0 (v5l)
BogoMIPS        : 593.10
Features        : swp half thumb fastmult edsp
CPU implementer : 0x69
CPU architecture: 5TE
CPU variant     : 0x0
CPU part        : 0x2e3
CPU revision    : 0

I've also tried this on ia64, hppa, mips, mipsel and arm, they all
gave the expected output.

I will clone this bug to gcc and file a bug upstream.


Kurt





Bug 515949 cloned as bug 520429. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Thu, 19 Mar 2009 18:00:02 GMT) Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Thu, 19 Mar 2009 18:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers):
Bug#515949; Package libvorbis. (Thu, 19 Mar 2009 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to pkg-xiph-maint@lists.alioth.debian.org (Debian Xiph.org Maintainers). (Thu, 19 Mar 2009 18:27:05 GMT) Full text and rfc822 format available.

Message #44 received at 515949@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 515949@bugs.debian.org, Martin Guy <martinwguy@yahoo.it>
Subject: Re: Bug#515949: Simple test case for gcc -ffast-math bug
Date: Thu, 19 Mar 2009 19:23:11 +0100
On Thu, Mar 19, 2009 at 06:53:45PM +0100, Kurt Roeckx wrote:
> 
> I will clone this bug to gcc and file a bug upstream.

It seems Martin Guy already reported it upstream:
http://gcc.gnu.org/PR39501
http://gcc.gnu.org/PR39507


Kurt





Blocking bugs of 518037 added: 515949 Request was from Samuel Mimram <smimram@debian.org> to control@bugs.debian.org. (Tue, 14 Apr 2009 19:00:11 GMT) Full text and rfc822 format available.

Reply sent to Peter Samuelson <peter@p12n.org>:
You have taken responsibility. (Fri, 29 May 2009 05:39:06 GMT) Full text and rfc822 format available.

Notification sent to Martin Guy <martinwguy@yahoo.it>:
Bug acknowledged by developer. (Fri, 29 May 2009 05:39:06 GMT) Full text and rfc822 format available.

Message #51 received at 515949-close@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: 515949-close@bugs.debian.org
Subject: Bug#515949: fixed in libvorbis 1.2.0.dfsg-5
Date: Fri, 29 May 2009 05:32:07 +0000
Source: libvorbis
Source-Version: 1.2.0.dfsg-5

We believe that the bug you reported is fixed in the latest version of
libvorbis, which is due to be installed in the Debian FTP archive:

libvorbis-dev_1.2.0.dfsg-5_amd64.deb
  to pool/main/libv/libvorbis/libvorbis-dev_1.2.0.dfsg-5_amd64.deb
libvorbis0a_1.2.0.dfsg-5_amd64.deb
  to pool/main/libv/libvorbis/libvorbis0a_1.2.0.dfsg-5_amd64.deb
libvorbis_1.2.0.dfsg-5.diff.gz
  to pool/main/libv/libvorbis/libvorbis_1.2.0.dfsg-5.diff.gz
libvorbis_1.2.0.dfsg-5.dsc
  to pool/main/libv/libvorbis/libvorbis_1.2.0.dfsg-5.dsc
libvorbisenc2_1.2.0.dfsg-5_amd64.deb
  to pool/main/libv/libvorbis/libvorbisenc2_1.2.0.dfsg-5_amd64.deb
libvorbisfile3_1.2.0.dfsg-5_amd64.deb
  to pool/main/libv/libvorbis/libvorbisfile3_1.2.0.dfsg-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 515949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Samuelson <peter@p12n.org> (supplier of updated libvorbis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 May 2009 21:56:02 -0500
Source: libvorbis
Binary: libvorbis0a libvorbisenc2 libvorbisfile3 libvorbis-dev
Architecture: source amd64
Version: 1.2.0.dfsg-5
Distribution: unstable
Urgency: low
Maintainer: Peter Samuelson <peter@p12n.org>
Changed-By: Peter Samuelson <peter@p12n.org>
Description: 
 libvorbis-dev - The Vorbis General Audio Compression Codec: development files
 libvorbis0a - The Vorbis General Audio Compression Codec: decoder library
 libvorbisenc2 - The Vorbis General Audio Compression Codec: encoder library
 libvorbisfile3 - The Vorbis General Audio Compression Codec: high-level API
Closes: 432688 515949
Changes: 
 libvorbis (1.2.0.dfsg-5) unstable; urgency=low
 .
   * New maintainer.
   * Standards-Version: 3.8.1.
   * gcc -fno-finite-math-only on armel, to work around a gcc bug
     (fixed upstream in gcc 4.3 and 4.4).  (Closes: #515949)
   * Fix watch file to unmangle .dfsg in version, thanks Lintian.
   * Distinguish the short descriptions of the different lib packages, and
     other tweaks to debian/control.  Thanks Lintian.  (Closes: #432688)
Checksums-Sha1: 
 14a43ba97a373bafa898477f660ec494d02f07a5 1112 libvorbis_1.2.0.dfsg-5.dsc
 0951740589a7a1666403df6054388fd46403c572 10272 libvorbis_1.2.0.dfsg-5.diff.gz
 2210245308297703d5a5b2c0bfb76cdbb9e3a7fd 108566 libvorbis0a_1.2.0.dfsg-5_amd64.deb
 2c303b83ba982c79a1b137754f91fd7c9cc58532 95516 libvorbisenc2_1.2.0.dfsg-5_amd64.deb
 b5bb8fd8965bf86e61e1f233af6d31a4d8ba9440 20246 libvorbisfile3_1.2.0.dfsg-5_amd64.deb
 591e56f0043ec4a2dc7461f29d416ca73089e701 480728 libvorbis-dev_1.2.0.dfsg-5_amd64.deb
Checksums-Sha256: 
 b9e26e06b356e1e7690d1f0720e54582ba0d72c11d0c77084f84cf52d368f568 1112 libvorbis_1.2.0.dfsg-5.dsc
 8b09b8079f763c431fc07d2f9b5ab5ea0a4108c2db7f5477144d1a295e58534f 10272 libvorbis_1.2.0.dfsg-5.diff.gz
 cd1a32fe2c78bce1e429247042c2c7095cb9cde2e3909a2e1ff511aa9ce216ce 108566 libvorbis0a_1.2.0.dfsg-5_amd64.deb
 db94423ff069c522421701dbcbf6c97d1d84bdbd585538bc55c5cced16cb22f9 95516 libvorbisenc2_1.2.0.dfsg-5_amd64.deb
 8fce4a26a98a2bd7ef171cad2ee1223124ecfe81eadae50e365bef4e3845450d 20246 libvorbisfile3_1.2.0.dfsg-5_amd64.deb
 bb6c59a5078ec77a8d4828937de28154fd52a5bd9869e04e5044f7a2cb5d7f0e 480728 libvorbis-dev_1.2.0.dfsg-5_amd64.deb
Files: 
 73db920a9feddf4a5ccbd2e2a8f0010c 1112 libs optional libvorbis_1.2.0.dfsg-5.dsc
 0c1cd9d3579f43bd4b964866f1a79a81 10272 libs optional libvorbis_1.2.0.dfsg-5.diff.gz
 287251e1687844eca64affe858c6d72b 108566 libs optional libvorbis0a_1.2.0.dfsg-5_amd64.deb
 c69fb2231924ff0f75e4b1ea08fa1a0f 95516 libs optional libvorbisenc2_1.2.0.dfsg-5_amd64.deb
 0079cb7d7706ff4ab4b49bb4e3755fcb 20246 libs optional libvorbisfile3_1.2.0.dfsg-5_amd64.deb
 e789ef4f71400138836e1471822601c8 480728 libdevel optional libvorbis-dev_1.2.0.dfsg-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKH2+xXk7sIRPQRh0RAhzBAKCDOBXjjZk8irFGEES+rE5cQ2jRiwCgnciI
oJTovUt/RhFO6+0svYrnylg=
=m39q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Jun 2009 07:30:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:32:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.